## ros-iron-zbar-ros 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(zbar_ros)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(cv_bridge REQUIRED)

# Include header files
include_directories(
  include)

# Build library
add_library(barcode_reader_node src/barcode_reader_node.cpp)
ament_target_dependencies(barcode_reader_node
  rclcpp
  sensor_msgs
  std_msgs
  cv_bridge)
target_link_libraries(barcode_reader_node zbar)

# Build executable
add_executable(barcode_reader src/barcode_reader_main.cpp)
target_link_libraries(barcode_reader barcode_reader_node)

# Install
install(TARGETS
  barcode_reader
  DESTINATION lib/${PROJECT_NAME})
install(DIRECTORY include/
  DESTINATION include/)
install(
  TARGETS barcode_reader_node
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

# Test
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # Skip copyright check, because the copyright used is not recognised by ament_copyright
  set(ament_cmake_copyright_FOUND TRUE)

  ament_lint_auto_find_test_dependencies()
endif()

# Package
ament_package()

=== debian/changelog ===
ros-iron-zbar-ros (0.4.0-3jammy) jammy; urgency=high

  * Port to ROS2
  * Update package.xml
  * Add LICENSE
  * Add more information to README
  * Contributors: Kenji Brameld, Paul Bovbel, ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 11 Feb 2022 16:00:00 -0000

ros-iron-zbar-ros (0.3.0-3jammy) jammy; urgency=high

  * Lint and close #6 <https://github.com/ros-drivers/zbar_ros/issues/6>
  * Contributors: Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Thu, 11 Mar 2021 16:00:00 -0000

ros-iron-zbar-ros (0.2.0-3jammy) jammy; urgency=high

  * Keep tooling CI
  * Update header for newer opencv version
  * Add github action
  * Contributors: Gary Servin, Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Thu, 11 Mar 2021 16:00:00 -0000

ros-iron-zbar-ros (0.1.0-3jammy) jammy; urgency=high

  * Update maintainer
  * Merge pull request #4 <https://github.com/ros-drivers/zbar_ros/issues/4> from mikaelarguedas/patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Some fixes to work (#2 <https://github.com/ros-drivers/zbar_ros/issues/2>)
    * fix wrong encoding
    * fix memory leak
  * Update README.md
  * Contributors: Furushchev, Mikael Arguedas, Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Wed, 13 Dec 2017 16:00:00 -0000

ros-iron-zbar-ros (0.0.5-3jammy) jammy; urgency=high

  * Fix nodelets.xml installation
  * Only create timer if throttling enabled
  * Contributors: Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Mon, 30 Mar 2015 16:00:00 -0000

ros-iron-zbar-ros (0.0.4-3jammy) jammy; urgency=high

  * Style fixes
  * Fix naming and debug messages
  * Update node->nodelet wrapper
  * Contributors: Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Thu, 15 Jan 2015 16:00:00 -0000

ros-iron-zbar-ros (0.0.3-3jammy) jammy; urgency=high

  * remove stray tf in cmake
  * Contributors: Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Sat, 10 Jan 2015 16:00:00 -0000

ros-iron-zbar-ros (0.0.2-3jammy) jammy; urgency=high

  * update dependencies
  * Contributors: Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Fri, 09 Jan 2015 16:00:00 -0000

ros-iron-zbar-ros (0.0.1-3jammy) jammy; urgency=high

  * Initial development of zbar_ros
  * Contributors: Paul Bovbel

 -- ijnek <kenjibrameld@gmail.com>  Fri, 09 Jan 2015 16:00:00 -0000

=== debian/control ===
Source: ros-iron-zbar-ros
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzbar-dev, ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-cv-bridge, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-zbar-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar-dev, ros-iron-cv-bridge, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Lightweight ROS wrapper for Zbar barcode/qrcode reader library (http://zbar.sourceforge .net/)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-zbar-ros//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
